import sys

ERR_OK = 0
ERR_WA = 1
ERR_PE = 2
ERR_UH = 3

try:
	with open(sys.argv[2], 'r') as fout:
		try:
			lout = [s.rstrip() for s in fout.readlines()]
		except Exception:
			print('Failed to read file!')
			exit(ERR_PE)
except Exception:
	print('Output file not found!')
	exit(ERR_PE)

with open(sys.argv[3], 'r') as fans:
	lans = [s.rstrip() for s in fans.readlines()]

lout.sort()
lans.sort()
if (lout != lans):
	print('Wrong answer!')
	exit(ERR_WA);

exit(ERR_OK)